Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## OOXMLconvert
Class OOXMLpreserve

    java.lang.Object
      OOXMLconvert.OOXMLpreserve

All Implemented Interfaces:
  java.lang.Cloneable

    public class OOXMLpreserve

extends java.lang.Object
implements java.lang.Cloneable

Field Summary
`boolean` | `alignment` zachovať zarovnanie
`boolean` | `background` zachovať formátovanie - farba pozadia
`boolean` | `bold` zachovať formátovanie - bold
`boolean` | `border` zachovať formátovanie - okraje
`boolean` | `bulletStyle` zachovať formátovanie odrážok
`boolean` | `color` zachovať formátovanie - farba textu
`boolean` | `documentBackground` zachovať farbu pozadia dokumentu
`boolean` | `fontName` zachovať formátovanie - font
`boolean` | `fontSize` zachovať formátovanie - veľkosť fontu
`boolean` | `headingStyle` zachovať formátovanie nadpisov
`boolean` | `indentation` zachovať odsadenie odstavcov
`boolean` | `italic` zachovať formátovanie - italic
`boolean` | `linespacing` zachovať výšku riadkov a odsadenie medzi odstavcami
`boolean` | `strike` zachovať formátovanie - strike
`boolean` | `subscript` zachovať formátovanie - subscript
`boolean` | `superscript` zachovať formátovanie - superscript
`boolean` | `underline` zachovať formátovanie - underline

Constructor Summary
`OOXMLpreserve()` Konštruktor

Method Summary
`void` | `setElementsFormatting()` Funkcia, ktorá na základe nastavenia úrovne zachovania formátovania nastaví jednotlivé elementy.
`private void` | `setLevel0()` Funkcia nastaví zachovanie formátovania elementov na úroveň 0.
`private void` | `setLevel1()` Funkcia nastaví zachovanie formátovania elementov na úroveň 1.
`private void` | `setLevel2()` Funkcia nastaví zachovanie formátovania elementov na úroveň 2.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### underline

    public boolean underline

  zachovať formátovanie - underline

### strike

    public boolean strike

  zachovať formátovanie - strike

### superscript

    public boolean superscript

  zachovať formátovanie - superscript

### subscript

    public boolean subscript

  zachovať formátovanie - subscript

### italic

    public boolean italic

  zachovať formátovanie - italic

### bold

    public boolean bold

  zachovať formátovanie - bold

### fontSize

    public boolean fontSize

  zachovať formátovanie - veľkosť fontu

### fontName

    public boolean fontName

  zachovať formátovanie - font

### color

    public boolean color

  zachovať formátovanie - farba textu

### background

    public boolean background

  zachovať formátovanie - farba pozadia

### border

    public boolean border

  zachovať formátovanie - okraje

### headingStyle

    public boolean headingStyle

  zachovať formátovanie nadpisov

### bulletStyle

    public boolean bulletStyle

  zachovať formátovanie odrážok

### indentation

    public boolean indentation

  zachovať odsadenie odstavcov

### linespacing

    public boolean linespacing

  zachovať výšku riadkov a odsadenie medzi odstavcami

### documentBackground

    public boolean documentBackground

  zachovať farbu pozadia dokumentu

### alignment

    public boolean alignment

  zachovať zarovnanie

Constructor Detail

### OOXMLpreserve

    public OOXMLpreserve()

  Konštruktor

Method Detail

### setElementsFormatting

    public void setElementsFormatting()

  Funkcia, ktorá na základe nastavenia úrovne zachovania formátovania nastaví jednotlivé elementy.

### setLevel0

    private void setLevel0()

  Funkcia nastaví zachovanie formátovania elementov na úroveň 0.

### setLevel1

    private void setLevel1()

  Funkcia nastaví zachovanie formátovania elementov na úroveň 1.

### setLevel2

    private void setLevel2()

  Funkcia nastaví zachovanie formátovania elementov na úroveň 2.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD